AbstractReplicatedMap.MapMessage (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.tribes.tipis

## Class AbstractReplicatedMap.MapMessage

- java.lang.Object
- - org.apache.catalina.tribes.tipis.AbstractReplicatedMap.MapMessage

- All Implemented Interfaces:
    Serializable, Cloneable
  Enclosing class:
    AbstractReplicatedMap<K,V>

      public static class AbstractReplicatedMap.MapMessage
      extends Object
      implements Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MSG_ACCESS`
    `static int` | `MSG_BACKUP`
    `static int` | `MSG_COPY`
    `static int` | `MSG_INIT`
    `static int` | `MSG_NOTIFY_MAPMEMBER`
    `static int` | `MSG_PING`
    `static int` | `MSG_PROXY`
    `static int` | `MSG_REMOVE`
    `static int` | `MSG_RETRIEVE_BACKUP`
    `static int` | `MSG_START`
    `static int` | `MSG_STATE`
    `static int` | `MSG_STATE_COPY`
    `static int` | `MSG_STOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapMessage(byte[] mapId, int msgtype, boolean diff, Serializable key, Serializable value, byte[] diffvalue, Member primary, Member[] nodes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractReplicatedMap.MapMessage` | `clone()` shallow clone
    `void` | `deserialize(ClassLoader[] cls)`
    `Member[]` | `getBackupNodes()`
    `byte[]` | `getDiffValue()`
    `Serializable` | `getKey()`
    `byte[]` | `getKeyData()`
    `byte[]` | `getMapId()`
    `int` | `getMsgType()`
    `Member` | `getPrimary()`
    `String` | `getTypeDesc()`
    `Serializable` | `getValue()`
    `byte[]` | `getValueData()`
    `boolean` | `isDiff()`
    `Serializable` | `key(ClassLoader[] cls)`
    `void` | `setKey(Serializable key)`
    `void` | `setValue(Serializable value)`
    `String` | `toString()`
    `Serializable` | `value(ClassLoader[] cls)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MSG_BACKUP

          public static final int MSG_BACKUP

      See Also:
        Constant Field Values

    - #### MSG_RETRIEVE_BACKUP

          public static final int MSG_RETRIEVE_BACKUP

      See Also:
        Constant Field Values

    - #### MSG_PROXY

          public static final int MSG_PROXY

      See Also:
        Constant Field Values

    - #### MSG_REMOVE

          public static final int MSG_REMOVE

      See Also:
        Constant Field Values

    - #### MSG_STATE

          public static final int MSG_STATE

      See Also:
        Constant Field Values

    - #### MSG_START

          public static final int MSG_START

      See Also:
        Constant Field Values

    - #### MSG_STOP

          public static final int MSG_STOP

      See Also:
        Constant Field Values

    - #### MSG_INIT

          public static final int MSG_INIT

      See Also:
        Constant Field Values

    - #### MSG_COPY

          public static final int MSG_COPY

      See Also:
        Constant Field Values

    - #### MSG_STATE_COPY

          public static final int MSG_STATE_COPY

      See Also:
        Constant Field Values

    - #### MSG_ACCESS

          public static final int MSG_ACCESS

      See Also:
        Constant Field Values

    - #### MSG_NOTIFY_MAPMEMBER

          public static final int MSG_NOTIFY_MAPMEMBER

      See Also:
        Constant Field Values

    - #### MSG_PING

          public static final int MSG_PING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MapMessage

          public MapMessage(byte[] mapId,
                            int msgtype,
                            boolean diff,
                            Serializable key,
                            Serializable value,
                            byte[] diffvalue,
                            Member primary,
                            Member[] nodes)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getTypeDesc

          public String getTypeDesc()

    - #### deserialize

          public void deserialize(ClassLoader[] cls)
                           throws IOException,
                                  ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getMsgType

          public int getMsgType()

    - #### isDiff

          public boolean isDiff()

    - #### getKey

          public Serializable getKey()

    - #### key

          public Serializable key(ClassLoader[] cls)
                           throws IOException,
                                  ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getKeyData

          public byte[] getKeyData()

    - #### getValue

          public Serializable getValue()

    - #### value

          public Serializable value(ClassLoader[] cls)
                             throws IOException,
                                    ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getValueData

          public byte[] getValueData()

    - #### getDiffValue

          public byte[] getDiffValue()

    - #### getBackupNodes

          public Member[] getBackupNodes()

    - #### getPrimary

          public Member getPrimary()

    - #### getMapId

          public byte[] getMapId()

    - #### setValue

          public void setValue(Serializable value)

    - #### setKey

          public void setKey(Serializable key)

    - #### clone

          public AbstractReplicatedMap.MapMessage clone()

      shallow clone
      Overrides:
        `clone` in class `Object`
      Returns:
        Object

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.